package cz.fi.muni.pa165;

import io.swagger.v3.oas.annotations.Operation;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.security.oauth2.client.OAuth2AuthorizedClient;
import org.springframework.security.oauth2.client.annotation.RegisteredOAuth2AuthorizedClient;


@RestController
public class BandApiGwController {

    @GetMapping("/token")
    @Operation(summary = "Retrieve token")
    public ResponseEntity<String> getToken(@RegisteredOAuth2AuthorizedClient OAuth2AuthorizedClient oAuth2AuthorizedClient) {
        return new ResponseEntity<>(oAuth2AuthorizedClient.getAccessToken().getTokenValue(), HttpStatus.OK);
    }
}
